<?php

function creerOptionsPlats(){
    $menus = fopen('menus.csv', 'r');

    # Le fichier menus.csv est lu ligne par ligne dans la boucle, $ligne étant un tableau mis en forme à partir du format csv
    while( ($ligne = fgetcsv($menus, null, ";")) != false) {
        #$ligne[0] est le premier champ de la ligne, $ligne[1] le 2e, $ligne[2] le troisième
        if ($ligne[0] == "plat"){
            echo ("<option value='$ligne[1]'>$ligne[1] : $ligne[2] €</option>");
        }
    }

    fclose($menus);
}

function creerOptionsBoissons(){
    $menus = fopen('menus.csv', 'r');

    while( ($ligne = fgetcsv($menus, null, ";")) != false) {
        if ($ligne[0] == "boisson"){
            echo ("<option value='$ligne[1]'>$ligne[1] : $ligne[2] €</option>");
        }
    }

    fclose($menus);
}

function creerOptionsDesserts(){
    $menus = fopen('menus.csv', 'r');

    while( ($ligne = fgetcsv($menus, null, ";")) != false) {
        if ($ligne[0] == "dessert"){
            echo ("<option value='$ligne[1]'>$ligne[1] : $ligne[2] €</option>");
        }
    }

    fclose($menus);
}

function trouverPrix($item){
    $prix = 0;
    $menus = fopen('menus.csv', 'r');
    # Le fichier menus.csv est lu ligne par ligne dans la boucle, $ligne étant un tableau mis en forme à partir du format csv
    while( ($ligne = fgetcsv($menus, null, ";")) != false) {
        #On vérifie si le deuxième champ de la ligne a le même nom que l'item recherché
        if ($ligne[1] == $item){
            #Si c'est le cas, $prix devient la valeur du troisième champ de la ligne lue
            $prix = $ligne[2];
            break;
        }
    }
    fclose($menus);
    return $prix;
}